<?php

declare(strict_types=1);

use Rector\Config\RectorConfig;
use Rector\Php74\Rector\Closure\ClosureToArrowFunctionRector;
use \Rector\Php81\Rector\Property\ReadOnlyPropertyRector;
use \Rector\Php80\Rector\Class_\ClassPropertyAssignToConstructorPromotionRector;
use Rector\Set\ValueObject\SetList;

return static function (RectorConfig $containerConfigurator): void {
    // get parameters
    $containerConfigurator->paths([
            __DIR__ . '/src',
        ]
    );

    // Define what rule sets will be applied
    $containerConfigurator->import(SetList::PHP_81);

    $containerConfigurator->importNames();
    $containerConfigurator->importShortClasses();

    $services = $containerConfigurator->services();
    $services->set(ReadOnlyPropertyRector::class);
    $services->set(ClassPropertyAssignToConstructorPromotionRector::class);
    $services->set(ClosureToArrowFunctionRector::class);
};