<?php

declare(strict_types=1);

namespace Dedi\SyliusClicAndPayPlugin\Payum;

interface ClicAndPayParams
{
    public const SERVERS = ['clicandpay.groupecdn.fr'];

    public const URL_CLASSIC = 'vads-payment/';

    public const DEVISE_EURO = '978';

    public const VERSION = 'V2';

    public const HASH = 'sha256';

    public const IS_MULTI_PAYMENT = 'is_multi_payment';

    public const MULTI_PAYMENT_FIRST_PERCENT = 'multi_payment_first_percent';

    public const MULTI_PAYMENT_COUNT = 'multi_payment_count';

    public const MULTI_PAYMENT_PERIOD = 'multi_payment_period';

    public const AUTHORISED_STATUS = 'AUTHORISED';

    public const ABANDONED_STATUS = 'ABANDONED';

    public const REFUSED_STATUS = 'REFUSED';

    public const AUTHORISED_TO_VALIDATE_STATUS = 'AUTHORISED_TO_VALIDATE';

    public const WAITING_AUTHORISATION_STATUS = 'WAITING_AUTHORISATION';

    public const WAITING_AUTHORISATION_TO_VALIDATE_STATUS = 'WAITING_AUTHORISATION_TO_VALIDATE';

    public const SIGNATURE = 'signature';

    public const VADS_ACTION_MODE = 'vads_action_mode';

    public const VADS_AMOUT = 'vads_amount';

    public const VADS_CTX_MODE = 'vads_ctx_mode';

    public const VADS_CURRENCY = 'vads_currency';

    public const VADS_PAGE_ACTION = 'vads_page_action';

    public const VADS_PAYMENT_CONFIG = 'vads_payment_config';

    public const VADS_SITE_ID = 'vads_site_id';

    public const VADS_SITE_KEY = 'vads_site_key';

    public const VADS_TRANS_DATE = 'vads_trans_date';

    public const VADS_TRANS_ID = 'vads_trans_id';

    public const VADS_VERSION = 'vads_version';

    public const VADS_RETURN_MODE = 'vads_return_mode';

    public const VADS_URL_RETURN = 'vads_url_return';

    public const VADS_URL_SUCCESS = 'vads_url_success';

    public const VADS_URL_CHECK = 'vads_url_check';

    public const VADS_ORDER_ID = 'vads_order_id';

    public const VADS_TRANS_STATUS = 'vads_trans_status';

    public const VADS_ORDER_TO_SIGNATURE = [
        self::VADS_ACTION_MODE,
        self::VADS_AMOUT,
        self::VADS_CTX_MODE,
        self::VADS_CURRENCY,
        self::VADS_ORDER_ID,
        self::VADS_PAGE_ACTION,
        self::VADS_PAYMENT_CONFIG,
        self::VADS_RETURN_MODE,
        self::VADS_SITE_ID,
        self::VADS_TRANS_DATE,
        self::VADS_TRANS_ID,
        self::VADS_URL_CHECK,
        self::VADS_URL_SUCCESS,
        self::VADS_URL_RETURN,
        self::VADS_VERSION,
    ];
}
